hledger-lib-1.41: A library providing the core functionality of hledger

Safe Haskell | None
Language | Haskell2010

Hledger.Reports.EntriesReport

Contents

- Tests

Description

Journal entries report, used by the print command.

Synopsis

- type EntriesReport = [EntriesReportItem]
- type EntriesReportItem = Transaction
- entriesReport :: ReportSpec -> Journal -> EntriesReport
- tests_EntriesReport :: TestTree

# Documentation

type EntriesReport = [EntriesReportItem] #

A journal entries report is a list of whole transactions as originally entered in the journal (mostly). This is used by eg hledger's print command and hledger-web's journal entries view.

type EntriesReportItem = Transaction #

entriesReport :: ReportSpec -> Journal -> EntriesReport #

Select transactions for an entries report.

# Tests

tests_EntriesReport :: TestTree #